Get OpenSea-compatible token metadata
curl --request GET \
--url https://build.vibechain.com/vibe/boosterbox/metadata/{slug}/{tokenId}import requests
url = "https://build.vibechain.com/vibe/boosterbox/metadata/{slug}/{tokenId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://build.vibechain.com/vibe/boosterbox/metadata/{slug}/{tokenId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"image": "<string>",
"attributes": [
{
"trait_type": "<string>",
"value": "<string>",
"display_type": "<string>"
}
],
"imageUrl": "<string>",
"external_url": "<string>",
"animation_url": "<string>"
}{
"success": false,
"message": "Invalid contract address"
}{
"success": false,
"message": "Resource not found"
}{
"success": false,
"message": "Too many requests! See docs.vibechain.com for more info."
}{
"success": false,
"message": "Failed to complete request"
}Metadata
Get OpenSea-compatible token metadata
Public token metadata for NFT clients and marketplaces. The response is an OpenSea metadata object, not a vibe.market Classic success envelope, and is cached for about five minutes.
GET
/
metadata
/
{slug}
/
{tokenId}
Get OpenSea-compatible token metadata
Headers
Set to true to keep original recognized CDN URLs instead of vibe.market Classic proxy URLs. Cache this response variant separately.
Path Parameters
Minimum string length:
1Required range:
x >= 0